当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu升级出错,软件依赖关系无法修复
帖子发表于 : 2007-01-02 13:46 
头像

注册: 2006-09-02 20:42
帖子: 579
地址: 东海明珠
送出感谢: 1
接收感谢: 2
升级到6.10错误,现在软件总是有如下错误,不知什么原因:
E: python-gmenu: 子进程·post-installation script·返回了错误号·1
E: gnome-menus: 依赖关系问题 - 仍未被配置
E: alacarte: 依赖关系问题 - 仍未被配置
E: python-apt: 子进程·post-installation script·返回了错误号·1
E: python-apport-utils: 依赖关系问题 - 仍未被配置
E: apport: 依赖关系问题 - 仍未被配置
E: apport-gtk: 依赖关系问题 - 仍未被配置
E: python-gnome2-desktop: 子进程·post-installation script·返回了错误号·1
E: python-gnome2-extras: 依赖关系问题 - 仍未被配置
E: deskbar-applet: 依赖关系问题 - 仍未被配置
E: gdebi: 依赖关系问题 - 仍未被配置
E: gedit: 依赖关系问题 - 仍未被配置
E: unattended-upgrades: 依赖关系问题 - 仍未被配置
E: update-manager: 依赖关系问题 - 仍未被配置
E: gnome-app-install: 依赖关系问题 - 仍未被配置
E: gnome-control-center: 依赖关系问题 - 仍未被配置
E: gnome-panel: 依赖关系问题 - 仍未被配置
E: gnome-applets: 依赖关系问题 - 仍未被配置
E: gnome-session: 依赖关系问题 - 仍未被配置
E: gnome-terminal: 依赖关系问题 - 仍未被配置
E: language-selector: 依赖关系问题 - 仍未被配置
E: nautilus: 依赖关系问题 - 仍未被配置
E: nautilus-cd-burner: 依赖关系问题 - 仍未被配置
E: python-gst0.10: 子进程·post-installation script·返回了错误号·1
E: serpentine: 依赖关系问题 - 仍未被配置
E: update-notifier: 依赖关系问题 - 仍未被配置
E: ubuntu-desktop: 依赖关系问题 - 仍未被配置

不管怎么是总是这样。
之前升级时是用gksu "update-manager -c -d"的方法来的,可是他说无法识别我的ubuntu版本,叫我安装ubuntu-desktop
或edubuntu-desktop或xbuntu-desktop其中之一,于是我便sudo apt-get install ubuntu-desktop
可是他又说,与openoffice有冲突,说什么某些软件要求保持版本,装不了。
后来我就直接改了source.list,直接apt-get update, apt-get upgrade装,接过装完好几百个之后重启居然进不了X。于是又apt-get install xserver-xorg。总算进gnome了,可发现gnome还是2.14的,打开“关于ubuntu”,还显示是ubuntu 6.06LTS。
最后没办法,他不是说我没装ubuntu-desktop吗?于是我就apt-get install ubuntu-desktop,哇,又是好几百个包。装完之后gnome确实是2.16了, ubuntu也是6.10了,可是自动更新没了,每次apt一下就会被告知上述错误,而且我的启动画面也显示不正常。
实在郁闷,像大家求救了。
顺便问一下,在出现更新配置文件时是选择更新还是选择保留原来的版本?我都是选保留原来的,不是到是不是与这有关。


附件:
Screenshot-synaptic.png
Screenshot-synaptic.png [ 56 KiB | 被浏览 2971 次 ]

文件注释: 错误信息截图
Screenshot-synaptic.png
Screenshot-synaptic.png [ 56 KiB | 被浏览 2952 次 ]



_________________
Life is like a box of chocolates, you never know what you're going to get.
页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-01-02 14:02 
头像

注册: 2005-08-15 0:04
帖子: 1880
地址: 南7技校
送出感谢: 0 次
接收感谢: 0 次
问题是从 python-gmenu 这个包开始的,因此先要想办法对付这个包。
把它完全卸载然后再安装试试看。
配置文件这个没有什么大影响,没有关系的.


_________________
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-01-02 14:06 
头像

注册: 2006-09-02 20:42
帖子: 579
地址: 东海明珠
送出感谢: 1
接收感谢: 2
好,谢谢,我试试


_________________
Life is like a box of chocolates, you never know what you're going to get.


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-01-02 14:22 
头像

注册: 2006-09-02 20:42
帖子: 579
地址: 东海明珠
送出感谢: 1
接收感谢: 2
python-gmenu卸了后成这样了,莫非还要再卸?

E: python-apt: 子进程·post-installation script·返回了错误号·1
E: python-apport-utils: 依赖关系问题 - 仍未被配置
E: apport: 依赖关系问题 - 仍未被配置
E: apport-gtk: 依赖关系问题 - 仍未被配置
E: python-gnome2-desktop: 子进程·post-installation script·返回了错误号·1
E: python-gnome2-extras: 依赖关系问题 - 仍未被配置
E: deskbar-applet: 依赖关系问题 - 仍未被配置
E: gdebi: 依赖关系问题 - 仍未被配置
E: gedit: 依赖关系问题 - 仍未被配置
E: unattended-upgrades: 依赖关系问题 - 仍未被配置
E: update-manager: 依赖关系问题 - 仍未被配置
E: gnome-app-install: 依赖关系问题 - 仍未被配置
E: language-selector: 依赖关系问题 - 仍未被配置
E: python-gst0.10: 子进程·post-installation script·返回了错误号·1
E: serpentine: 依赖关系问题 - 仍未被配置
E: update-notifier: 依赖关系问题 - 仍未被配置


_________________
Life is like a box of chocolates, you never know what you're going to get.


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-01-02 14:45 
头像

注册: 2006-09-02 20:42
帖子: 579
地址: 东海明珠
送出感谢: 1
接收感谢: 2
E: python-gnome2-desktop: 子进程·post-installation script·返回了错误号·1
E: python-gnome2-extras: 依赖关系问题 - 仍未被配置
E: deskbar-applet: 依赖关系问题 - 仍未被配置
E: gedit: 依赖关系问题 - 仍未被配置
E: python-gst0.10: 子进程·post-installation script·返回了错误号·1
E: serpentine: 依赖关系问题 - 仍未被配置


_________________
Life is like a box of chocolates, you never know what you're going to get.


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-01-02 15:06 
头像

注册: 2005-04-10 16:54
帖子: 2625
地址: 温州大学
送出感谢: 0 次
接收感谢: 1
把出问题的都卸载掉,然后再安装 ubuntu-desktop 应该就没什么问题了!


_________________
我心无畏,源自于我心无知。
图片


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-01-02 15:18 
头像

注册: 2006-09-02 20:42
帖子: 579
地址: 东海明珠
送出感谢: 1
接收感谢: 2
firehare 写道:
把出问题的都卸载掉,然后再安装 ubuntu-desktop 应该就没什么问题了!

已经这样作了,现在还剩3个问题:
dpkg:依赖关系问题使得 ubuntu-desktop 的配置工作不能继续:
ubuntu-desktop 依赖于 alacarte;然而:
软件包 alacarte 还没有被配置。
ubuntu-desktop 依赖于 deskbar-applet;然而:
软件包 deskbar-applet 还没有被配置。
dpkg:处理 ubuntu-desktop (--configure)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
alacarte
deskbar-applet
ubuntu-desktop
E: Sub-process /usr/bin/dpkg returned an error code (1)


_________________
Life is like a box of chocolates, you never know what you're going to get.


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-01-02 15:28 
头像

注册: 2006-09-02 20:42
帖子: 579
地址: 东海明珠
送出感谢: 1
接收感谢: 2
总算搞定了,唉,这升级可搞死我了。这只是我诸多问题中的其中一个,还有好多问题有待解决。


_________________
Life is like a box of chocolates, you never know what you're going to get.


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-01-02 15:55 
头像

注册: 2006-06-10 8:43
帖子: 5941
地址: 中国 CS
送出感谢: 0 次
接收感谢: 2
为什么不全新安装6.10呢!
升级安装肯定会有点毛病的


_________________
年轻没有失败! ! ! ! ! !
噢!有怪兽,有怪兽!


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-01-02 20:43 
头像

注册: 2006-09-02 20:42
帖子: 579
地址: 东海明珠
送出感谢: 1
接收感谢: 2
全新安装就傻了,我又要重新配置了。


_________________
Life is like a box of chocolates, you never know what you're going to get.


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-01-02 21:00 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
全新安装。保留/home不就可以了。省略了大部分配置。


_________________
● 鸣学


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-01-07 19:55 
头像

注册: 2006-09-02 20:42
帖子: 579
地址: 东海明珠
送出感谢: 1
接收感谢: 2
但是你有没有想过我又要重新apt-get install好多软件,而且硬盘又要格一次


_________________
Life is like a box of chocolates, you never know what you're going to get.


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-01-07 20:18 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
sudo apt-get install -f


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译